# underlyingStream property

InputStream get underlyingStream

Returns the underlying input stream.

## Returns

The InputStream that this buffered stream wraps.

## Example

    final fileInput = FileInputStream('data.bin');
    final buffered = BufferedInputStream(fileInput);

    assert(identical(buffered.underlyingStream, fileInput));

## Implementation

    InputStream get underlyingStream => _input;